Summary
Clone Automation
Description
Clone an Automation.
Route
POST /operations-manager/automations/clone
Roles
admin
apiwrite
engineering
Parameters
Details Example Schema
Name
Type
Required
Description
automation
object
yes
The id of the Automation to be cloned and, optionally, a name to assign to the clone.
Copied to Clipboard
{
"id": "ee35ebc0a9767bba6297a5a3",
"name": null
}
Return
Details Example Schema
Name
Type
Description
result
object
The result of the clone operation.
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": null,
"created": "1980-11-20T02:21:49.431Z",
"lastUpdatedBy": "tempor culpa",
"lastUpdated": "1954-08-08T11:23:59.945Z",
"_id": "2c58a79499f4fb140758446e",
"gbac": {
"write": [
"9f54f27bcbe9ec51161598b6",
"eb5ac91a1ef4d9bc9037e474",
"b28579a62ae7ecee61663481",
"a5a1041203b9d54c64ca63c3"
],
"read": [
"6bda568440d52f5adafcbfce"
]
},
"componentId": "",
"componentName": null
},
"metadata": {
"automaticChanges": [
"ad ex nostrud aliquip"
],
"triggerCloneResults": {
"message": "aute veniam",
"data": [
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"type": "endpoint",
"enabled": false,
"actionType": "automations",
"actionId": "a447ee0e7564e9880e144f49",
"lastExecuted": null,
"createdBy": "est non aliquip",
"created": "1989-06-25T10:52:36.745Z",
"lastUpdatedBy": "ex velit nostrud adipisicing",
"lastUpdated": "1948-02-16T14:47:29.062Z",
"verb": "POST",
"routeName": "EJFmNSLaG",
"_id": "aa29a880b01528bf79728cf0",
"jst": null,
"migrationVersion": 9775388
},
"automaticChanges": [
"cupidatat",
"id ipsum cillum est",
"ad eiusmod sunt nulla nostrud"
]
},
{
"success": false,
"data": {
"name": 33546135,
"description": -91687895.16856326,
"type": -83852474.23838682,
"enabled": 75859871.93860316,
"actionType": "occaecat elit ut enim",
"actionId": false,
"lastExecuted": 15110628.210896417,
"createdBy": 59115887.15749639,
"created": true,
"lastUpdatedBy": -77930478.80663693,
"lastUpdated": "consequat est",
"formData": "ut",
"legacyWrapper": false,
"firstRunAt": true,
"nextRunAt": 46357147,
"processMissedRuns": "sint sit eu cillum",
"locked": -41534198,
"repeatUnit": "sed id est",
"repeatFrequency": 3669130.192735046,
"repeatInterval": 80987287.37320805,
"_id": -24681684,
"formId": 94121118.63407397
},
"automaticChanges": [
"do"
]
}
]
}
}
}
Copied to Clipboard
{
"title": "result",
"allOf": [
{
"$ref": "common-api#/definitions/success-response"
},
{
"type": "object",
"properties": {
"data": {
"$ref": "automation-api"
},
"metadata": {
"type": "object",
"properties": {
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
},
"triggerCloneResults": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"metadata": {
"type": "object"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"$ref": "trigger-api"
},
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
}
}
}
}
}
}
}
}
}
}
]
}